Bollettino sulla sicurezza Android: settembre 2021

Pubblicato il 7 settembre 2021 | Aggiornato il 14 settembre 2021

Il Bollettino sulla sicurezza di Android contiene dettagli sulle vulnerabilità della sicurezza che interessano i dispositivi Android. I livelli delle patch di sicurezza del 05-09-2021 o successivi risolvono tutti questi problemi. Per informazioni su come verificare il livello delle patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

I partner Android vengono informati di tutti i problemi almeno un mese prima della pubblicazione. Le patch del codice sorgente per questi problemi sono state rilasciate nel repository Android Open Source Project (AOSP) e collegate da questo bollettino. Questo bollettino include anche collegamenti a patch esterne a AOSP.

Il più grave di questi problemi è una vulnerabilità critica della sicurezza nel componente Framework che potrebbe consentire a un utente malintenzionato remoto che utilizza un file appositamente predisposto per causare una negazione del servizio permanente. La valutazione della gravità si basa sull'effetto che lo sfruttamento della vulnerabilità potrebbe avere su un dispositivo interessato, presupponendo che le mitigazioni della piattaforma e del servizio siano disattivate per scopi di sviluppo o se aggirate con successo.

Fare riferimento alla sezione Mitigazioni per Android e Google Play Protect per dettagli sulle protezioni della piattaforma di sicurezza Android e Google Play Protect, che migliorano la sicurezza della piattaforma Android.

Mitigazioni dei servizi Android e Google

Questo è un riepilogo delle mitigazioni fornite dalla piattaforma di sicurezza Android e dalle protezioni dei servizi come Google Play Protect . Queste funzionalità riducono la probabilità che le vulnerabilità della sicurezza possano essere sfruttate con successo su Android.

  • Lo sfruttamento di molti problemi su Android è reso più difficile dai miglioramenti apportati alle versioni più recenti della piattaforma Android. Incoraggiamo tutti gli utenti ad aggiornare all'ultima versione di Android, ove possibile.
  • Il team di sicurezza di Android monitora attivamente eventuali abusi tramite Google Play Protect e avvisa gli utenti in merito alle applicazioni potenzialmente dannose . Google Play Protect è abilitato per impostazione predefinita sui dispositivi con Google Mobile Services ed è particolarmente importante per gli utenti che installano app esterne a Google Play.

Dettagli sulla vulnerabilità a livello di patch di sicurezza del 2021-09-01

Nelle sezioni seguenti forniamo dettagli per ciascuna vulnerabilità di sicurezza che si applica al livello di patch 2021-09-01. Le vulnerabilità sono raggruppate in base al componente che interessano. I problemi sono descritti nelle tabelle seguenti e includono ID CVE, riferimenti associati, tipo di vulnerabilità , gravità e versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati ai numeri che seguono l'ID del bug. I dispositivi con Android 10 e versioni successive potrebbero ricevere aggiornamenti di sicurezza e aggiornamenti di sistema di Google Play .

Struttura

La vulnerabilità più grave in questa sezione potrebbe consentire a un utente malintenzionato remoto di utilizzare un file appositamente predisposto per provocare una negazione del servizio permanente.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2021-0687 A-188913943 DoS Critico 8.1, 9, 10, 11
CVE-2021-0595 A-177457096 [ 2] EoP Alto 8.1, 9, 10, 11
CVE-2021-0683 A-185398942 EoP Alto 8.1, 9, 10, 11
CVE-2021-0684 A-179839665 EoP Alto 8.1, 9, 10, 11
CVE-2021-0685 A-191055353 [ 2] EoP Alto 11
CVE-2021-0688 A-161149543 EoP Alto 8.1, 9, 10, 11
CVE-2021-0686 A-177927831 ID Alto 10, 11

Quadro multimediale

La vulnerabilità più grave in questa sezione potrebbe consentire a un'applicazione dannosa locale di aggirare le protezioni del sistema operativo che isolano i dati dell'applicazione da altre applicazioni.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2021-0689 A-190188264 ID Alto 8.1, 9, 10, 11
CVE-2021-0690 A-182152757 ID Alto 8.1, 9, 10, 11

Sistema

La vulnerabilità più grave in questa sezione potrebbe consentire a un'applicazione dannosa locale di ignorare i requisiti di interazione dell'utente per ottenere l'accesso ad autorizzazioni aggiuntive.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2021-0598 A-180422108 [ 2] EoP Alto 8.1, 9, 10, 11
CVE-2021-0692 A-179289753 EoP Alto 9, 10, 11
CVE-2021-0428 A-173421434 [ 2] [ 3] [ 4] [ 5] [ 6] [ 7] [ 8] [ 9] ID Alto 10
CVE-2021-0644 A-181053462 [ 2] ID Alto 10, 11
CVE-2021-0682 A-159624555 ID Alto 8.1, 9, 10, 11
CVE-2021-0693 A-184046948 ID Alto 11
CVE-2021-0691 A-188554048 EoP Moderare 11

Aggiornamenti del sistema Google Play

I seguenti problemi sono inclusi nei componenti Project Mainline.

Componente CVE
Codec multimediali CVE-2021-0690

Dettagli sulla vulnerabilità a livello di patch di sicurezza del 2021-09-05

Nelle sezioni seguenti forniamo dettagli per ciascuna vulnerabilità di sicurezza che si applica al livello di patch 2021-09-05. Le vulnerabilità sono raggruppate in base al componente che interessano. I problemi sono descritti nelle tabelle seguenti e includono ID CVE, riferimenti associati, tipo di vulnerabilità , gravità e versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati ai numeri che seguono l'ID del bug.

Componenti del kernel

La vulnerabilità in questa sezione potrebbe consentire a un'applicazione dannosa locale di aggirare le protezioni del sistema operativo che isolano i dati dell'applicazione da altre applicazioni.

CVE Riferimenti Tipo Gravità Componente
CVE-2021-0695 A-184018316
Kernel a monte
ID Alto Nocciolo

Componenti MediaTek

Queste vulnerabilità interessano i componenti MediaTek e ulteriori dettagli sono disponibili direttamente da MediaTek. La valutazione della gravità di questi problemi viene fornita direttamente da MediaTek.

CVE Riferimenti Gravità Componente
CVE-2021-0680 A-192535676
M-ALPS05564803 *
Alto Proprietà di sistema
CVE-2021-0681 A-192535337
M-ALPS05559939 *
Alto Proprietà di sistema

Componenti Unisoc

Queste vulnerabilità interessano i componenti Unisoc e ulteriori dettagli sono disponibili direttamente da Unisoc. La valutazione della gravità di tali problematiche è fornita direttamente da Unisoc.

CVE Riferimenti Gravità Componente
CVE-2021-0635
A-189402477
U-1595212 *
Alto video
CVE-2021-0636
A-189392423
U-1600513 *
Alto video

Componenti Qualcomm

Queste vulnerabilità interessano i componenti Qualcomm e sono descritte in maggiore dettaglio nel bollettino di sicurezza o nell'avviso di sicurezza di Qualcomm appropriato. La valutazione della gravità di questi problemi viene fornita direttamente da Qualcomm.

CVE Riferimenti Gravità Componente
CVE-2021-1941
A-184561795
QC-CR#2832873
Alto Wi-Fi
CVE-2021-1948
A-184561643
QC-CR#2842234
Alto Wi-Fi
CVE-2021-1974
A-190403734
QC-CR#2728644 [ 2 ]
Alto Wi-Fi
CVE-2021-30290
A-190403706
QC-CR#2897378
Alto Schermo
CVE-2021-30294 A-190404324
QC-CR#2900322
Alto Schermo

Componenti closed source di Qualcomm

Queste vulnerabilità interessano i componenti closed source di Qualcomm e sono descritte in maggiore dettaglio nel bollettino di sicurezza o nell'avviso di sicurezza di Qualcomm appropriato. La valutazione della gravità di questi problemi viene fornita direttamente da Qualcomm.

CVE Riferimenti Gravità Componente
CVE-2021-1886
A-176751522 * Critico Componente closed source
CVE-2021-1888 A-176752047 * Critico Componente closed source
CVE-2021-1889
A-176751523 * Critico Componente closed source
CVE-2021-1890 A-176752048 * Critico Componente closed source
CVE-2021-1933
A-181682124 * Critico Componente closed source
CVE-2021-1946
A-181682277 * Critico Componente closed source
CVE-2021-1909
A-181682278 * Alto Componente closed source
CVE-2021-1923
A-179039984 * Alto Componente closed source
CVE-2021-1934
A-181682745 * Alto Componente closed source
CVE-2021-1935 A-181682438 * Alto Componente closed source
CVE-2021-1952
A-181682512 * Alto Componente closed source
CVE-2021-1971
A-190404961 * Alto Componente closed source
CVE-2021-30295
A-182501529 * Alto Componente closed source

Domande e risposte comuni

Questa sezione risponde alle domande più comuni che potrebbero sorgere dopo aver letto questo bollettino.

1. Come posso determinare se il mio dispositivo è aggiornato per risolvere questi problemi?

Per informazioni su come verificare il livello delle patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

  • I livelli delle patch di sicurezza del 01-09-2021 o successivi risolvono tutti i problemi associati al livello delle patch di sicurezza del 01-09-2021.
  • I livelli di patch di sicurezza del 05-09-2021 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 05-09-2021 e a tutti i livelli di patch precedenti.

I produttori di dispositivi che includono questi aggiornamenti dovrebbero impostare il livello della stringa di patch su:

  • [ro.build.version.security_patch]:[2021-09-01]
  • [ro.build.version.security_patch]:[2021-09-05]

Per alcuni dispositivi con Android 10 o versioni successive, l'aggiornamento del sistema Google Play avrà una stringa di data che corrisponde al livello della patch di sicurezza 2021-09-01. Consulta questo articolo per ulteriori dettagli su come installare gli aggiornamenti di sicurezza.

2. Perché questo bollettino prevede due livelli di patch di sicurezza?

Questo bollettino prevede due livelli di patch di sicurezza in modo che i partner Android abbiano la flessibilità necessaria per correggere più rapidamente un sottoinsieme di vulnerabilità simili su tutti i dispositivi Android. I partner Android sono incoraggiati a risolvere tutti i problemi presenti in questo bollettino e a utilizzare il livello di patch di sicurezza più recente.

  • I dispositivi che utilizzano il livello di patch di sicurezza 2021-09-01 devono includere tutti i problemi associati a tale livello di patch di sicurezza, nonché le correzioni per tutti i problemi segnalati nei bollettini di sicurezza precedenti.
  • I dispositivi che utilizzano il livello di patch di sicurezza del 05-09-2021 o successivo devono includere tutte le patch applicabili in questo (e nei precedenti) bollettini sulla sicurezza.

I partner sono incoraggiati a raggruppare le correzioni per tutti i problemi che stanno affrontando in un unico aggiornamento.

3. Cosa significano le voci nella colonna Tipo ?

Le voci nella colonna Tipo della tabella dei dettagli della vulnerabilità fanno riferimento alla classificazione della vulnerabilità della sicurezza.

Abbreviazione Definizione
RCE Esecuzione di codice remoto
EoP Elevazione dei privilegi
ID Rivelazione di un 'informazione
DoS Negazione del servizio
N / A Classificazione non disponibile

4. Cosa significano le voci nella colonna Riferimenti ?

Le voci nella colonna Riferimenti della tabella dei dettagli della vulnerabilità possono contenere un prefisso che identifica l'organizzazione a cui appartiene il valore di riferimento.

Prefisso Riferimento
UN- ID bug Android
QC- Numero di riferimento di Qualcomm
M- Numero di riferimento MediaTek
N- Numero di riferimento NVIDIA
B- Numero di riferimento Broadcom

5. Cosa significa un * accanto all'ID del bug Android nella colonna Riferimenti ?

I numeri che non sono disponibili pubblicamente hanno un * accanto all'ID di riferimento corrispondente. L'aggiornamento per questo problema è generalmente contenuto negli ultimi driver binari per i dispositivi Pixel disponibili sul sito degli sviluppatori di Google .

6. Perché le vulnerabilità della sicurezza sono suddivise tra questo bollettino e i bollettini sulla sicurezza dei dispositivi/partner, come il bollettino Pixel?

Le vulnerabilità della sicurezza documentate in questo bollettino sulla sicurezza sono necessarie per dichiarare il livello di patch di sicurezza più recente sui dispositivi Android. Ulteriori vulnerabilità di sicurezza documentate nei bollettini sulla sicurezza del dispositivo/del partner non sono necessarie per dichiarare un livello di patch di sicurezza. I produttori di dispositivi e chipset Android possono anche pubblicare dettagli sulle vulnerabilità di sicurezza specifiche dei loro prodotti, come Google , Huawei , LGE , Motorola , Nokia o Samsung .

Versioni

Versione Data Appunti
1.0 7 settembre 2021 Pubblicato il bollettino
1.1 14 settembre 2021 Bollettino rivisto per includere collegamenti AOSP